WBCE CMS Forum

WBCE CMS – Way Better Content Editing.

You are not logged in.

#1 12.02.2023 15:41:28

giz
Member

Feedback 1.6.0-beta.2

Update von WBCE 1.5.0 auf 1.6.0 beta2
Server: all-inkl
php-version: 8.1.13

Update lief (bis auf u.a. Meldung im Errorlog) fehlerfrei durch, soweit habe ich auch im Betrieb keine Fehlermeldungen.
Angezeigt wird aber Versions-Nr 1.6.0. beta1

2023-02-12T13:17:40+00:00 [Visitor Request] https://tld/install/update.php 2023-02-12T13:17:40+00:00 [Warning] /framework/functions.php:[1314] from /install/update.php:[910] load_template "Undefined variable $template_description"

WBCE 1.6.1 - Fraggy 2.7.1 - PHP 8.2.13- All-inkl
Ein Leben ohne Hund ist möglich, aber sinnlos

Offline

#2 12.02.2023 18:55:19

florian
Administrator

Re: Feedback 1.6.0-beta.2

Danke für den Hinweis. Spitzfindig könnte ich sagen: das liegt am Template, da fehlt in der info.php die obligatorische Angabe $template_description. Aber, andererseits ist ja der Fehler ziemlich einfach abzufangen, sprich in der framework/functions.php nach Zeile 1310

if (!isset($template_description)) {
                $template_description = 'no description available';
            }

sollte reichen.

Last edited by florian (12.02.2023 18:55:50)


Code allein macht nicht glücklich. Jetzt spenden!

Offline

Liked by:

giz

#3 12.02.2023 21:40:15

Slugger
Member

Re: Feedback 1.6.0-beta.2

Hallo Team,
ich habe das Update bei mir in einer Subdomain durchgeführt.

WBCE-Update von 1.5.4 auf 1.6.0.beta.2

Kurze Rückmeldung:

1. Keine Probleme
2. Keine Fehlermeldung, bis auf den Hinweis von Florian das es noch den Hinweis Beta 1 ist, ansonsten alles gut.
3. Modul AFE 3.2.5 updgedatet dort auch keine Meldungen im Error_log

Getestet unter PHP Version: 8.1.13 da bei mir bei All-Inkl im Paket keine PHP 8.2 gibt.

Danke an das Team  thumb_up


Hoster: ALL-INKL *** Grundsätzliche WBCE Konfig ***
WBCE: 1.5.4 • BE: 2.1.0 • PHP: 8.1.16 * 1. Projekt: FE: Simple responsive • BE: Argos * 2. Projekt: FE: hortal • BE: Argos * 3. Projekt: FE: WBCEZon • BE: Argos * 4. Projekt: FE: WBCETik • BE: Argos
Status Projekt 1-4:  OK

Offline

Liked by:

stefanek, florian, bernd

#4 13.02.2023 09:38:41

byteworker
Member

Re: Feedback 1.6.0-beta.2

WBCE Version: 1.6.0-beta.1
PHP Version: 8.2.2

Läuft auf der Spielwiese: https://testpage.grafik-job.de

Einzig der Google Font Loader macht mir Sorgen, er lädt die Fonts nicht mehr ins Template. Hat das wer anderes auch erlebt? bei mir mit dem Template Verti.

https://addons.wbce.org/pages/addons.ph … m&item=163

Offline

#5 13.02.2023 15:50:48

florian
Administrator

Re: Feedback 1.6.0-beta.2

Einzig der Google Font Loader macht mir Sorgen, er lädt die Fonts nicht mehr ins Template.

Das liegt nicht am WBCE-Update.
Zum einen wird der GFL nur aktiv, wenn zuvor noch keine Fonts runtergeladen wurden - sind sie mal da, werden die lokalen Fonts benutzt und nicht jedes Mal neu gezogen. Ich habe also zum Testen die Verzeichnisse font/local und css/local gelöscht.
Dann wurden die Schriften neu geladen, es gab allerdings Einträge im Errorlog.
Das liegt aber daran, dass Google wohl schon wieder ein neues Syntax-Feature eingeführt hat, mit dem GFL (noch) nichts anfangen kann:

ht tps://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@1,300;1,400;1,600;1,800&display=swap

Wenn man diese Zeile weglässt und GFL auf Version 0.3 aktualisiert, werden zumindest bei meinem Test dann auch keine Einträge im ERrorlog mehr erzeugt.

Last edited by florian (13.02.2023 15:51:48)


Code allein macht nicht glücklich. Jetzt spenden!

Offline

Liked by:

byteworker

#6 13.02.2023 18:12:50

nasowas
Member

Re: Feedback 1.6.0-beta.2

Hallo zusammen,

Nur zur Info von einem einfachen User an die Entwickler.
Habe von Version 1.5.4 die Version 1.6.0-beta1 in eine laufende, aber nicht so häufig frequentierte Seite, geladen.

Lief ohne Fehlermeldung durch.

Hoster: all-incl.com
PHP: 8.1.13

Viele Grüße
nasowas


WBCE 1.6.1, Frontendtemplate: Simple Responsive, Backendtemplate: Fraggy, Browser: Firefox Betriebssystem Windows 11 pro

Offline

Liked by:

florian, stefanek, bernd

#7 16.02.2023 19:43:26

ruebezahl
Member

Re: Feedback 1.6.0-beta.2

prinzenreich.com
von 1.5.2 und php 8.0 weg auf beta2 und php 8.1.13

Was mir aufgefallen ist:
Ohne extra

<script>
var URL = "<?php echo WB_URL; ?>";
</script>

im Template läuft die jQuery bzw. die Colorbox nicht.

Und eine kleine Sache: das favicon. Ist im Paket drin und überschreibt das eigene. Nicht vergessen, vorher ein Backup zu machen, das kleine Ding fällt nicht auf.

Offline

#8 16.02.2023 20:28:34

florian
Administrator

Re: Feedback 1.6.0-beta.2

schon In der 1.5.4 ist von URL auf WB_URL umgestellt worden, weil das generische URL oft mit anderen jQuery-Scripten kollidiert ist. Da weist das Updatescript aber drauf hin bzw. empfiehlt ein Update des Colorbox- und ggf. Cookie Consent-Snippets. Also nicht Zeile ergänzen, sondern Snippets aktualisieren.
Favicon soll natürlich in der wbceup.zip nicht drin sein. Das ist mir auch schon passiert, versehentlich das eigen Favicon überschrieben zu haben. Nehme ich in der finalen Fassung dann noch raus.


Code allein macht nicht glücklich. Jetzt spenden!

Offline

#9 17.02.2023 01:33:58

bernd
Developer

Re: Feedback 1.6.0-beta.2

Hab vorhin 2  Instanzen von 1.5.2 / PHP7.4 (Schande, hatte die gar nicht mehr auf dem Schirm) direkt mit PHP8.2.1 auf die beta2 hochgezogen. Absolut problemlos.


... nein in Europa verwenden wir beim Programmieren nicht € statt $ ...

Offline

Liked by:

stefanek, florian

Board footer

up